<template>
  <Layout>
    <h1>About</h1>
    <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Error doloremque omnis animi, eligendi magni a voluptatum, vitae, consequuntur rerum illum odit fugit assumenda rem dolores inventore iste reprehenderit maxime! Iusto.</p>
    <!--<h2>Contact Us</h2>
    <form action="https://getform.io/f/b8d15555-5225-4c3c-95d6-66befb0701d3" method="POST">
	  <p><input type="text" name="name" placeholder="Nome"></p>
	  <p><input type="email" name="email" placeholder="Email"></p>
	  <p><input type="tel" name="tel" placeholder="Telefono"></p>
	  <p><button type="submit">Invia</button></p>
	</form>

	<h2>Form che funziona solo dal server netlify (impostato come url sorgente da cui può ricevere hits)</h2>
	 <form action="https://www.form-data.com/_functions/submit/g97lv069n4eu4tfnb83uhk" method="post">
	 	<p><input type="text" name="name" placeholder="Nome"></p>
		<p><input type="email" name="email" placeholder="Email"></p>
		<p><input type="tel" name="tel" placeholder="Telefono"></p>
		<p><button type="submit">Invia</button></p>
	</form>

	<h2>Prova form CF7 che sta tu testingarea woocommerce</h2>
	<form action="https://www.testingarea.it/woocommerce/wp-json/contact-form-7/v1/contact-forms/90/feedback" method="post" enctype="multipart/form-data">
	 	<p><input type="text" name="cf_name" placeholder="Nome"></p>
		<p><input type="email" name="cf_email" placeholder="Email"></p>
		<p><button type="submit">Invia</button></p>
	</form>-->

	<h2>Prova form ajax con axios (sempre tramite endpoint)</h2>
    
    <div class="card-body">
        <form @submit.prevent="formSubmit"><!-- Prevent previene il refresh della pagina -->
	        <p><strong>Nome: </strong><br><input type="text" name="cf_name" v-model="formData.cf_name">{{ formData.cf_name }}</p>
			<p><strong>Email: </strong><br><input type="email" name="cf_email" v-model="formData.cf_email">{{ formData.cf_email }}</p>
	        <button class="btn btn-success">Invia</button>
        </form>
        <transition name="fade">
	        <div class="card-response" v-if="risposta">
	        	<strong>Output:</strong>
	        	<pre>{{ risposta }}</pre>
	        </div>
	    </transition>
    </div>

  </Layout>
</template>

<style>
.card-response {
	margin-top: 1rem;
}
.fade-enter-active,  /* nomeanimazione + sempre fissa di vue enter-active / leave-active */
.fade-leave-active {
	transition: opacity .5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
	opacity: 0;
}
</style>

<script>

const axios = require('axios')

export default {
	metaInfo: {
		title: 'About'
	},
	data() {
	    return {
	    	risposta: '',
			formData: []
	    }
	},
	methods: {
	    formSubmit() {

	    	//CF7 ha bisogno di ricevere i dati così, se li passo come valori dentro formData non va... 
	    	var form = new FormData();
	    	form.append("cf_name", this.formData.cf_name);
	    	form.append("cf_email", this.formData.cf_email);

	    	axios({
				method: 'post',
				url: 'https://www.testingarea.it/woocommerce/wp-json/contact-form-7/v1/contact-forms/90/feedback',
				data: form,
				headers: {'Content-Type': 'multipart/form-data' } //necessario per CF7
			}).then((response) => { //va scritto con la freccia per poter interagire
				this.risposta = response.data.message;
				this.formData = [];
			});
	  	}
	}

}



</script>
